---
title: background-image
slug: Web/CSS/background-image
tags:
  - CSS
  - CSS Background
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<p>{{CSSRef}}</p>

<p>The <strong><code>background-image</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets one or more background images on an element.</p>

<div>{{EmbedInteractiveExample("pages/css/background-image.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<p>The background images are drawn on stacking context layers on top of each other. The first layer specified is drawn as if it is closest to the user.</p>

<p>The <a href="/en-US/docs/Web/CSS/border">borders</a> of the element are then drawn on top of them, and the {{cssxref("background-color")}} is drawn beneath them. How the images are drawn relative to the box and its borders is defined by the {{cssxref("background-clip")}} and {{cssxref("background-origin")}} CSS properties.</p>

<p>If a specified image cannot be drawn (for example, when the file denoted by the specified URI cannot be loaded), browsers handle it as they would a <code>none</code> value.</p>

<div class="note"><strong>Note:</strong> Even if the images are opaque and the color won't be displayed in normal circumstances, web developers should always specify a {{cssxref("background-color")}}. If the images cannot be loaded—for instance, when the network is down—the background color will be used as a fallback.</div>

<h2 id="Syntax">Syntax</h2>

<p>Each background image is specified either as the keyword <code><a href="#none">none</a></code> or as an {{cssxref("&lt;image&gt;")}} value.</p>

<p>To specify multiple background images, supply multiple values, separated by a comma:</p>

<pre class="brush: css no-line-numbers notranslate">background-image:
  linear-gradient(to bottom, rgba(255,255,0,0.5), rgba(0,0,255,0.5)),
  url('https://mdn.mozillademos.org/files/7693/catfront.png');</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt id="none"><code>none</code></dt>
 <dd>Is a keyword denoting the absence of images.</dd>
 <dt id="image"><code>&lt;image&gt;</code></dt>
 <dd>Is an {{cssxref("&lt;image&gt;")}} denoting the image to display. There can be several of them, separated by commas, as <a href="/en-US/docs/Web/Guide/CSS/Using_multiple_backgrounds">multiple backgrounds</a> are supported.</dd>
</dl>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>Browsers do not provide any special information on background images to assistive technology. This is important primarily for screen readers, as a screen reader will not announce its presence and therefore convey nothing to its users. If the image contains information critical to understanding the page's overall purpose, it is better to describe it semantically in the document.</p>

<ul>
 <li><a href="/en-US/docs/Web/Accessibility/Understanding_WCAG/Perceivable#Guideline_1.1_%E2%80%94_Providing_text_alternatives_for_non-text_content">MDN Understanding WCAG, Guideline 1.1 explanations</a></li>
 <li><a href="https://www.w3.org/TR/2016/NOTE-UNDERSTANDING-WCAG20-20161007/text-equiv-all.html">Understanding Success Criterion 1.1.1 | W3C Understanding WCAG 2.0</a></li>
</ul>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Layering_background_images">Layering background images</h3>

<p>Note that the star image is partially transparent and is layered over the cat image.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div&gt;
  &lt;p class="catsandstars"&gt;
    This paragraph is full of cats&lt;br /&gt;and stars.
  &lt;/p&gt;
  &lt;p&gt;This paragraph is not.&lt;/p&gt;
  &lt;p class="catsandstars"&gt;
    Here are more cats for you.&lt;br /&gt;Look at them!
  &lt;/p&gt;
  &lt;p&gt;And no more.&lt;/p&gt;
&lt;/div&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">p {
  font-size: 1.5em;
  color: #FE7F88;
  background-image: none;
  background-color: transparent;
}

div {
  background-image:
      url("https://mdn.mozillademos.org/files/6457/mdn_logo_only_color.png");
}

.catsandstars {
  background-image:
      url("https://mdn.mozillademos.org/files/11991/startransparent.gif"),
      url("https://mdn.mozillademos.org/files/7693/catfront.png");
  background-color: transparent;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Layering_background_images')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Backgrounds', '#background-image', 'background-image')}}</td>
   <td>{{Spec2('CSS3 Backgrounds')}}</td>
   <td>From CSS2 Revision 1, the property has been extended to support multiple backgrounds and any {{cssxref("&lt;image&gt;")}} CSS data type.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'colors.html#propdef-background-image', 'background-image')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>From CSS1, the way images with and without intrinsic dimensions are handled is now described.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1', '#background-image', 'background-image')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("css.properties.background-image")}}</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/CSS/CSS_Image_Sprites">Implementing image sprites in CSS</a></li>
 <li>{{HTMLElement("img")}}</li>
 <li>Image-related data types: {{cssxref("&lt;image&gt;")}}, {{cssxref("&lt;gradient&gt;")}}</li>
 <li>Image-related functions:
  <ul>
   <li>{{cssxref("cross-fade")}}</li>
   <li>{{cssxref("element")}}</li>
   <li>{{cssxref("imagefunction", "image()")}}</li>
   <li>{{cssxref("image-set")}}</li>
   <li>{{cssxref("linear-gradient")}}</li>
   <li>{{cssxref("radial-gradient")}}</li>
   <li>{{cssxref("repeating-linear-gradient")}}</li>
   <li>{{cssxref("repeating-radial-gradient")}}</li>
   <li>{{cssxref("paint")}}</li>
   <li>{{cssxref("url", "url()")}}</li>
  </ul>
 </li>
</ul>
